$Id: Changes.0.46,v 1.1 2002/11/17 17:14:46 joern Exp $

Revision history for dvd::rip up to 0.46, see Changes file
for recent versions.

0.46 Sun 22 Sep 2002, joern
	Bugfixes:
	- project file version detection and auto conversion didn't
	  work with files generated by 0.45 itself.

0.45 Sun 22 Sep 2002, joern
	Important note:
	===============
	- File format changed with release 0.45_04. Files created with
	  older versions will be converted automatically, but can't
	  be used with older versions anymore after saving!!!
	  Consider making backup copies of your project files.
	- This version of dvd::rip works with transcode 0.6.0 and
	  0.6.1. Further development is done using transcode 0.6.1,
	  so this is the recommended version.

	Features:
	- after TOC reading and ripping a backup copy of the
	  project file is stored to project/tmp/backup.rip.
	  For all the people who forget to save their projects ;)
	- new audio filter selection: none (volume rescale only),
	  range compression (using liba52) and normalizing (using
	  transcode's port of mplayer's normalizing filter). It's
	  not recommended to use volume rescaling in conjunction
	  with the normalizing filter, because volume rescaling is
	  done *after* normalizing, so the result may be distorted.
	  That's why dvd::rip clears the volume rescale entry when
	  normalizing is selected. Requested by Torsten Howard and
	  Markus Liebl. Thanks to Tilmann Bitterberg <transcode AT
	  tibit.org> for answering  my questions regarding the filter
	  execution order in transcode.
	- added a text entry for arbitrary command execution after
	  transcoding, suggested by simbolo <simbolo225 AT yahoo.com>
	- added a checkbox "exit after transcoding" which saves the
	  project and exits after transcoding. Suggested by Florin Andrei.
	- dvd::rip now uses transcode's option --print_status 20 to
	  reduce the progress updating (only for transcode >= 0.6.1).
	  Thanks to Tilmann Bitterberg for the hint.

	Bugfixes:
	- at least dvd::rip 0.44 cluster mode didn't report correct
	  progress and fps information with transcode 0.6.1.
	- DVD image / on the fly ripping
	  - transcode frame range selection didn't work, reported
	    by Ryan Underwood <nemesis-lists AT icequake.net>
	  - adding audio tracks didn't work, reported by 
	    Arne Driescher <driescher AT mpi-magdeburg.mpg.de> and
	    Roland Seuhs <roland AT hasos.com>
	- (S)VCD mode: splitting didn't work, reported by Markus Liebl
 	- Cluster mode: audio transcoding didn't work if no
	  volume rescale value was set
	- progress calculation was messed up when transcoding a
	  frame range

0.45_05 Sun 15 Sep 2002, joern
	Features:
	- cluster mode adopted to new job execution subsystem,
	  now it supports additional audio tracks. Not much tested yet.
	  Reports (of bugs and success stories ;) are welcome.

	Bugfixes:
	- with Perl 5.8.0 opening a new project always threw
	  an exception. Thanks to Raymond Olufsen <oluray AT online.no>
	  for his report.
	- add. transcode option parser didn't recognize "-D -10"
	  correctly, so -D and -10 didn't appear in a row in the
	  final command. Reported by Lukas Ertl <l.ertl AT univie.ac.at>.
	- sometimes renaming of AVI files after splitting didn't
	  worked. Removed this completely, now using the standard
	  transcode method (name-0000.avi instead of name-01.avi) for
	  standard and cluster mode.
	- removed "DVD on the fly transcoding may damage your drive"
	  note. Was too hard and too confusing. Also the standard
	  disclaimer in the GPL is sufficient.

	Note:
	- I took the Perl 5.8.0 issue as a occasion to upgrade my
	  Perl installation to 5.8.0 (Debian rules, btw ;), so further
	  development will be on 5.8.0. I don't plan to use any 5.8.0
	  features soon, so dvd::rip will run with 5.6.1 (and maybe
	  on 5.005), too.

0.45_04 Sun 01 Sep 2002, joern
	Note:
	- File format changed for this release. Files created with
	  older versions will be converted automatically, but can't
	  be used with older versions anymore after saving!!!
	  Consider making backup copies of your project files.
	- Please test this release. Many internals changed. Also I
	  tested many scenarios, there may be bugs. Reports are welcome.
	
	Features:
	- multiple audio track support: add as much available
	  audio tracks you want to the resulting AVI file
	  ((S)VCD and cluster mode currently not supported
	  but planned). Short description of how this works:
	  - on the Transcode tab there are two popups in the audio
	    options area: "Select a DVD audio track" and "Target track".
	  - the first one lists all available tracks on the DVD
	  - select an entry you want to have
	  - then select the target track you want for the selected
	    DVD track (starting with 0)
	  - select as many DVD tracks you want and add them as target
	    track 1, 2 and so on.
	  - video bitrate calculation will take the additional
	    audio tracks into account
	  - by default the track you selected before ripping will
	    be used as target track #0, which is dvd::rip's old
	    behaviour. So you can ignore this feature, if you don't
	    need it.
	- transcoding a frame range uses now fast VOB navigation,
	  if possible (no slow skipping of the first frames).
	- major redesign of the internal command execution subsystem
	  and progress information module
	- volume scanning can be done after ripping for arbitrary
	  audio tracks. The correspondent button is beside the
	  text entry field on the Transcode tab.

	Bugfixes:
	- added a proper -B option to mpeg2enc to get correct
	  split points. Thanks for the hint to Michal Szymanski.
	- canceling a transcode process (in standard mode) killed all
	  transcode processes, in case of several dvd::rip instances
	  are started. Reported by Torsten Howard.
	- many changes to internals, cleaner code, improved
	  maintainability, improved stability regarding unusual
	  DVD's (e.g. titles without audio, very small chapters)

0.45_03 Sun Aug 25 2002, joern
	Bugfix:
	- audio channel selection was ignored for transcoding
	  (always channel #0 was processed).

0.45_02 Sun Aug 18 2002, joern
	Features:
	- dvd::rip now compares the ripped frame count with frame
	  count of the DVD title. If the difference is too big,
	  a corresponding warning message appears.
	- ripping ETA/FPS calculation now considers the time needed
	  to get the DVD title keys, so these values are more
	  accurate now.
	- renamed clip&zoom preset "No Preset" to "No Modifications",
	  suggested by Ole Tange <tange AT tange.dk>
	- new data source modes: on the fly DVD transcoding and
	  using an existent DVD image on harddisk. But these modes
	  have some restrictions:

	  * no fast preview frame grabbing
	  * no movie preview starting at a specific frame
	  * no psu core
	  * no cluster mode

	  Scanning for volume rescale information is optional
	  for the new modes (this is usually done while ripping).
	  
	  This feature (and the whole release) is considered
	  experimental, because I needed to make many changes to
	  dvd::rip's internals. Please test all three modes and
	  report bugs. Thanks.

0.45_01 Wed Aug 14 2002, joern
	Features:
	- added ffmpeg4 to the video codec list, suggested
	  by Moritz Bunkus.
	- removed opendivx from the codec list because
	  it's really outdated and shouldn't be used anymore
	  (type it in by hand, if you *really* need it ;).
	  Thanks for his suggestion go to Christoph Lampert.
	- new preference for default .rip file directory,
	  suggested by Florin Andrei.
	- added a window manager icon (didn't forget it, Florin ;)

	Bugfixes:
	- to be consistent with the latest transcode release, I
	  changed the "bits per kilo pixel" value of the Zoom Calculator
	  window to "bits per pixel". Also the video bitrate was
	  calculated based on 1024 instead of 1000. Now dvd::rip's values
	  are equal with transcode's. Thanks for the hint to
	  Markus Liebl <lieblm AT web.de>.
	- general exception handler failed, when no project was open,
	  reported by Jeremy Mann <jeremy AT bioc09.v19.uthscsa.edu>
	- fourth deinterlace option wasn't saved, reported by
	  Torsten Howard.
	- if the VOB navigation file was incomplete or messed up illegal
	  parameters were passed to transcode, which results in
	  a misleading dvd::rip error message. Now you get a better
	  error message.

0.44 Fri Jul 19 2002, joern
	No changes since 0.44_06, just a stable release.
	
	Important note for Cluster Mode:
	================================

	The internal data format of the cluster mode project files
	changed since version 0.43. You must finish all your projects
	and remove them from the cluster control daemon	before
	upgrading. Otherwise dvdrip-master won't start, instead it
	will fail loading the projects with a fatal error message.
	
	If you forgot removing the projects using the GUI, you can
	delete the files by hand. Just enter:
	
	rm ~/.dvdrip-master/projects/*

0.44_06 Wed Jul 17 2002, joern
	
	Yet another pre-release record ;)
	
	Bugfixes:
	- Preview grabbing: disabled audio processing completely,
	  because also with the changes of 0.44_04 preview grabbing
	  still didn't work with some DVD's. Thanks to 
	  marc'O <dvdrip AT hackerwelt.de> and  Detlef Neubauer
	  <detlef.neubauer AT wzrz.de> for their detailed bug reports.

0.44_05 Mon Jul 15 2002, joern
	Features:
	- added another deinterlacing option for automatic deinterlacing
	  of single frames ("transcode -J 32detect=force_mode=3") -
	  useful for NTSC material. Thanks for the hint to Torsten Howard.
	- dvdrip-master now checks for needed Perl modules and prints
	  a more user friendly error message, pointing the user to the
	  cluster mode documentation.
	- SVCD presets "16:9 -> 4:3 letterbox" (PAL and NTSC version)
	  added. Some hardware DVD players have problems playing back
	  16:9 anamorph encoded SVCD's produced by transcode's mjpeg
	  export filter.

	Bugfixes:
	- AC3 passthrough didn't work in chapter mode. Thanks for
	  the detailed bug report to Patrick Pfifferling
	  <ppfifferling AT free.fr>
	- volume rescale entry was missing in (S)VCD mode.

0.44_04 Sun Jul 07 2002, joern
	Features:
	- Completed Zoom Calculator window. You now can adjust
	  *any* parameter, which affects aspect ratio, clipping
	  and zoom calculation! Play around with it. Maybe not
	  all parameters are self-explanatory. When I publish
	  the next stable release the homepage documentation will
	  cover all the details.

	Bugfixes:
	- with some DVD's preview grabbing didn't work. Thanks to
	  Greg McLearn <gmclearn AT chebucto.ns.ca> for his
	  detailed bug report. There are still some DVD's which
	  make problems, but this is indeed a transcode bug.
	- disc size popup didn't restore the 760 MB value
	  (selected 700 MB instead)
	- sometimes smallest optimal zoom calculation didn't
	  appear in Zoom Calculator's result list

0.44_03 Sat Jul 06 2002, joern
	Features:
	- added "Refresh" button to Zoom Calculator window.
	
	Bugfixes:
	- cluster mode wasn't working since 0.44_02 due to changes
	  to the internal error handling in this version.

0.44_02 Sat Jun 29 2002, joern
	Features:
	- added global preference "Show tooltips". You must restart
	  dvd::rip (or at least reopen the project) for this to
	  take effect.
	- added global preference "Default Video Codec", so your
	  favorite video codec is used by default
	- (S)VCD
	  - for proper splitting dvd::rip now uses mpeg2enc's
            -S parameter. Thanks for the hint to Todd Inglett
            <tinglett AT magnaspeed.net>. dvd::rip reduces the target
	    disc size internally by 1%, because there seems to be
	    some mpeg overhead, which is not taken into account
	    by mpeg2enc.
	  - Joerg Friedrich <Joerg.Dieter.Friedrich AT uni-konstanz.de>
            told me, that the overall bitrate (audio + video) must not
	    exceed 2748kbps for SVCD. dvd::rip now respects this limit.
	- I revised the internal ar/clip/zoom calculation code.
	  All features regarding clip&zoom calculation now internally
	  use the same algorithm. The quality of the auto detect
	  presets benefits from this.
	- new "Zoom Calculator" window, which lists all possible
	  target sizes with an acceptable aspect ratio error. Entries
	  with perfect aspect ratio are highlighted in red. There
	  is a column with a magic "BPKP" value. This stands for
	  "bits per kilo pixel" and is an indicator for the image
	  quality (taking image size and actual video bitrate into
	  account). I don't have much experience with this value
	  until know, but I think values around 500 produce very
	  good quality. Feedback on this is very welcome.
	- "calc width/height" now works with fast resizing, too.
	  Requested by Torsten Howard and Florin Andrei

	Bugfixes:
	- Cluster mode: target avi file hasn't the usual location in
	  case of a one-psu-movie.
	- (S)VCD: mplex complained about missing %d in filename, even
	  if no splitting was requested. I don't really understand this
	  error, but now dvd::rip always adds %d to the filename.
	- somethime dvd::rip did consume 99% CPU after an unexpected
	  error. I added a workaround for this a few versions ago,
	  but now I think I really fixed this bug ;)
	- in case of a transcode problem the corresponding error
	  message didn't show the correct transcode command
	  if multipass was enabled. Thanks to David Kvarnberg
	  <david AT mellow.net> for his extensive bug report.
   
0.44_01 Sun Jun 23 2002, joern
	Work in progress:
	- Cluster mode: went back to per-psu-audio-processing. At
	  least in theory the old audio-all-in-one-processing
	  procedure was problematic regarding NTSC A/V sync.
	  Unfortunetaly A/V sync isn't better after these changes :(
	  Not tested in detail yet, so cluster mode may have bugs
	  in this version.

	Features:
	- new button on the Clip&Zoom tab: "Show video from here",
	  which plays the video from the given frame number. Based
	  on a patch from Wolfgang Kinkeldei <kinkeldei AT nureg.de>.
	- illegal Clip&Zoom values are not just warned with an
	  exclamation mark behind the corresponding value. They're
	  also highlighted in red. Maybe in future versions a small
	  button will appear in this case, which opens a window
	  with more explanation of the problem.
	- added a tooltip to the Clip&Zoom images
	- Clip&Zoom: not only the effective ratio, also the physical
	  ratio of each processing stage is printed.

	Bugfixes:
	- HQ presets sometimes produce odd clip values, which isn't
	  allowed with YUV. Also they were not warned by
	  dvd::rip. Thanks for their reports go to Davide Ferrari
	  and Torsten Howard.

0.43 Sat Jun 15 2002, joern
	Bugfixes:
	- transcode-0.6.0pre6-0.20020608 changed the frame grabbing
	  output filename, so dvd::rip's frame grabbing didn't work
	  with this and newer releases. dvd::rip now uses a wildcard
	  for the filename, so it should work with older and actual
	  releases as well. Thanks for the numerous reports of this
	  "bug" (too many to list them all here ;)
	- fixed a typo in the AVI file viewing command, which prevents
	  backgrounding of the process.
	- added the prerequisite for Gtk::Gdk::Pixbuf to Makefile.PL,
	  for automatic dependency resolution with CPAN or CPANPLUS.

0.42 Sun Jun 09 2002, joern
	Bugfixes:
	- Clip&Zoom: the autoadjust HQ presets didn't work for
	  NTSC movies, and also the new "Calc Width/Height" feature
	  which uses interally the HQ resizing algorithm. Thanks
	  to Torsten Howard for his bug report
	- also some of the old static presets didn't work with NTSC.
	  I decided to remove them completely, because they're not
	  needed anymore since we have the auto-adjusting presets
	  and the "Calc Width/Height" feature. They were confusing
	  and made the preset list unnecessary long.

0.41 Sat Jun 08 2002, joern
	Note:
	You need at least transcode 0.6.0pre6-20020524 for this
	release!

	Features:
	- new "Calc Height" and "Calc Width" buttons on the
	  Clip&Zoom tab. Just set the clipping parameters
	  (e.g. using an autoadjust preset, or by hand), enter
	  the desired width and press "Calc Height": the
	  corresponding height which keeps aspect ratio will be
	  calculated (the same for calculating the width while
	  setting the height). Based on a suggestion from
	  Florin Andrei.

0.41_03 Tue May 28 2002, joern
	Bugfixes:
	- a stupid typo bug made cluster mode audio transcoding
	  fail. Thanks to Ryan Zachry <rzachry AT rectorseal.com>
	  for his extensive bug report.
	- Florin Andrei reported that the preview windows are
	  strangly placed with Ximian Gnome desktop. I removed
	  any positioning stuff, so the window manager can
	  decide where to place the window. This should fix
	  the problem.
	
0.41_02 Sun May 26 2002, joern
	Features:
	- support for transcode's new PSU core, which increases
	  A/V sync quality for NTSC material. You need at least
	  transcode version 0.6.0pre6-20020524 for this feature.
	  Note: this is currently not supported by the cluster
	  mode.
	- cluster mode: ssh command now defaults to 'ssh -x',
	  ("don't try to establish X forwarding"). Suggested
	  by Matthias Riese <matthias.riese AT Uni-Bremen.DE>
	- enabled AC3 passthrough support for cluster mode
	- video player is now customizable, requested by Guillaume
	  Rousse <rousse AT ccr.jussieu.fr>. There are two new
	  entries in the global preferences dialog: DVD player,
	  and file player. These are templates for the appropriate
	  commands. The following format strings are recognized:
	    %t   DVD title (1..n)
	    %a   Audio Channel (0..n)
	    %c   Chapter (1..n)
	    %m   Viewing Angle (1..n)
	    %f   Filename
          Strings enclosed in <> will be repeated for each selected
	  entry (e.g. DVD Chapter or filename). Also you can specify
	  arbitrary expressions using %() brackets, e.g. %(%c-1)
	  will evaluate to the actual chapter minus 1. Defaults for
	  xine and mplayer are present, but you can customize these
	  entries if you like. The debugging window shows the result
	  of both command templates, so you can see how your changes
	  take effect. xine dvdnav plugin is not tested yet, feedback
	  is welcome. 

	Bugfixes:
	- dvd::rip ripping looped with title 1 if no title was
	  selected. Thanks to Stefan Opsomer <ets.berger AT
	  skynet.be> for his extensive bug report. Also
	  Jure Pecar <pegasus AT telemach.net> reported this
	  a few weeks ago, but I couldn't reproduce it until
	  now.
	- Sven Hartge <hartge AT s9.argh.org> reported a problem
	  with preview frame grabbing if an audio channel != 0 was
	  ripped. I can't reproduce the problem, maybe it's DVD
	  dependent, but I disabled audio decoding for preview
	  grabbing completely, because it wasn't useful anyway.
	- Debugging Window threw an exception if it was opened
	  before ripping the title. Thanks to Ian Truelsen
	  <ian AT ihtruelsen.2y.net> for his bug report.
	- fixed Gtk-Warning when closing a project, thanks to
	  Florin Andrei <florin AT andrei.myip.org> for his
	  detailed bug report.
	- Cluster node test suite always reported Ok for all
	  sub tests, no matter if the configuration is correct
	  or not. Thanks to Matthias Riese for his bug report.
	- "make test" complained about missing "splitpipe" on
	  first time installation, if user doesn't have "."
	  in PATH.

0.41_01 Thu May 17 2002, joern
	Features:
	- control of transcode's new audio dynamic range
	  compression feature, requested by Christian Lambert.
	- removed all transcode 0.5.3 specific code, because
	  this version isn't supported anymore
	- after ripping a title the preview frame entry is
	  automatically pointed to the middle of the movie resp.
	  of the first ripped chapter. Suggested by Michael
	  Dodwell <elmer AT trellian.com>. Additionally the preview
	  image is grabbed immediately afterwards.

	Bugfixes:
	- transcode options field didn't recognize long options
	  always correctly
	- fast preview frame grabbing didn't work in chapter mode

0.40 Tue May 13 2002, joern
	Note:
	- please install at least transcode-0.6.0pre5-20020514.
	  Some older versions have a bug with chapter selection
	  which crashes dvd::rip's ripping procedure.
	  
	Features:
	- dvdrip command now supports --version (or -version or -v)
	  to print the version number, suggested by Michael Bushey
	- unexpected error message with command output are now
	  displayed in a textarea, so they're cut and pastable
	  (better for bug reporting ;)

	Bugfixes:
	- many enhancements regarding the handling of
	  unexpected errors
	  - no need to cancel the operation manually anymore
	  - error output of some commands was missing
	  - dvd::rip consumed 99% of CPU, thanks for the report
	    to Andreas Theofilu <andreas AT mehlbox.at>. I didn't
	    really solved this problem but added a workaround
	    which should help in most situations. Otherwise
	    you should restart dvd::rip after a fatal error which
	    let dvd::rip itself occupating the whole CPU. This seems
	    to be a very strange bug around Gtk::input_add...
	- cluster mode transcode progress information was messed up
	  due to slightly changes of transcode's output format.
	- newer versions of avisplit croak on absolute filename
	  parameters (I reported this already as a bug to Thomas),
	  so dvd::rip now changes into the data directory and uses
	  relative filenames. Thanks to Davide Ferrari for his bug
	  report.
	- mplex segfaulted if Transcode+Split was chosen (used %s
	  instead of %d in the output pattern)
	- VCD mode: --export-asr is set to 2 instead of 1. Thanks
	  for the hint to Andreas Theofilu
	
0.40_01 Sat May 11 2002, joern
	Note:
	- this and all subsequent dvd::rip releases require transcode
	  0.6.0pre4 or better.

	Features:
	- added a Credits file, which lists all users who helped me
	  making dvd::rip a better tool.
	- added "divx5" to the video codec popup
	- chapter mode has now
	  - (S)VCD transcoding
	  - transcode progress information (you need to rip the
	    chapters again until this works)

	Bugfixes:
	- dvd::rip didn't confirm program exit in case of unsaved
	  changes if the window was closed using the window manager
	  Thanks to Davide "Vide" Ferrari <bshark AT libero.it>
	  for his bug report.
	- appending transcode options did not work if a negative
	  nice value was given. Thanks to Torsten Howard for his
	  bugreport.
	- (S)VCD mode:
	  - splitting using mplex -S often results in smaller chunks.
	    I added -M to prevent that (must be tested, don't know if
	    this really solves the problem). Also there was a %s missing
	    in mplex's file output pattern, which made split mode fail.
	    Thanks to Michael Bushey <dvdrip AT michael.mailshell.com>
	    for his report.
	  - disc size popup was disabled in VCD mode, which made
	    it impossible to select a proper disc size for splitting.
	- fixed a progress bug in chapter mode 'all' ripping
	
0.39 Sat Apr 27 2002, joern
	Bugfixes:
	- "4:3 No Letterbox, Fast Resize" preset violated
	  shrink/expand fast resize rule.
	- VCD did produce anamorphic result, which isn't supported
	  by the spec. The frame is now resized with aspect ratio correction,
	  --export-asr is set to 1 so signal that the movie has already
	  the correct aspect ratio. SVCD presets still result in anamorphic
	  videos. This isn't currently tested for NTSC, but should work.

0.39_05 Wed Apr 17 2002, joern
	Features:
	- Cluster mode:
	  - improved Node test. Unrecognized output from the client
	    is reported, which helps solving unusual ssh problems

	Bugfixes:
	- Cluster mode: transcode test was broken
	- (S)VCD mode: use --export_asr to set correct aspect ratio
	  for the generated mpeg file. Thanks to Uwe Fischer
	  <uwe.fischer AT berlin.de> for his hint and extensive
	  feedback on (S)VCD mode.
	- VCD was broken, it was in fact a somewhat reduced SVCD rip.
	  This one was reported by Uwe Fischer, too.

0.39_04 Wed Apr 10 2002, joern
	Features:
	- rip a multiple selection of titles at once, suggested by
	  Hrvoje Husic <husic AT zyn.de>. First adjust options
	  (audio, viewing angle, chapter mode) for each title, then
	  select all titles using Ctrl and/or Shift key and press
	  "Rip Selected Title(s)" as usual and all titles are ripped
	  without interception, each with the options you specified
	  before.

	Bugfixes:
	- audio bitrate parameters were not passed to transcode in
	  cluster mode. Thanks to Rainer Lay for the bug report.

0.39_03 Tue Apr 9 2002, joern
	Bugfixes:
	- convert NTSC framerate 29.97 to -f 30,4 instead of -f 30,1.
	  Thanks to Thomas Östreich for the hint.

0.39_02 Sun Apr 7 2002, joern
	Features:
	- added 160 kbit/s to audio bitrate popup, requested by
	  Christian Lambert
	- frame rate values 23.976 and 29.97 are interally converted
	  to transcode's -f 24,1 (resp. 30,1), so transcode calculates
	  with exact values for NTSC movies. With transcode 0.6.0pre5-*
	  you can try to ommit the framerate completely, because these
	  transcode versions do a better job with autodetecting.
	  Thanks to Christian Lambert for his hint.
	- I added some experimental (S)VCD capabilities. Not tested
	  very well and also my knowledge about (S)VCD is very limited,
	  so this first version might have fundamental problems,
	  but I created (S)VCD mpegs which are played well by xine.
	  Not tested yet with a standalone DVD player. You'll need
	  the mjpeg tools and transcode's mjpeg export filter. bbmpeg
	  filter is currently unsupported. I'll really appreciate any
	  hints regarding the (S)VCD mode.
	  
	  MINI HOWTO:  on the Clip&Zoom tab select one of the (S)VCD
	  -----------  presets (PAL or NTSC). They only will scale the
	  image to the correct target size, assuming the player will
	  correct the aspect ratio (worked at least with xine, but maybe
	  dvd::rip has to take care of it). On the Transcode tab select
	  SVCD or VCD as Video Codec. All parameters which doesn't make
	  sense for (S)VCD will either be disabled or set to some fixed
	  values (e.g. bitrates in case of VCD). The .mpg file will
	  appear in the AVI target folder of the project. Cluster mode 
	  does not support (S)VCD, also the Chapter Mode isn't available
	  yet for (S)VCD (to be added in future releases).
	   
	Bugfixes:
	- size of the 1st clipping image was not calculated in
	  realtime after changing 1st clipping values by hand. Also
	  "Move 2nd Clipping" threw an exception if the width and height
	  fields were empty. Thanks to Akos Maroy <darkeye AT tyrell.hu>
	  for his detailed bugreport.

0.39_01 Sat Apr 6 2002, joern
	Features:
	- major redesign of the Transcode tab. Grouping of the options
	  should now make much more sense. Video Codec, Video Framerate,
	  Audio Bitrate and Process nice level are combo boxes with
	  reasonable preset values.
	- video bitrate calculation is much more flexible: you can enter
	  a target size by hand or use the dics count and size popups
	  for calculating the target size. All values are recalculated
	  on demand, no need to press a "suggest bitrate" button anymore.
	  Inspired by a suggestion of Chrstian Lambert putting more values
	  into the disc size popup.
	- divx4 multipass is switched on by default
	- new MP3 Quality popup, suggested by Christian Lambert. Needs
	  transcode 0.6 or better. Default is best quality (on my system
	  I loose only about 0.5 fps compared with transcode's medium
	  quality default value), and I want dvd::rip to default to high
	  quality rips.

	Bugfixes:
	- in seldom cases dvd::rip threw an error message at the end
	  of the preview frame grabbing. This happend with projects
	  which were ripped with 0.37, saved without making a preset
	  selection, and then opened with 0.38. Thanks to Davide
	  "Black Shark" <bshark AT libero.it> for his bug report.
	- the nice program is not installed under /usr/bin/nice on
	  all Linux systems. nice is now executed with `which nice`,
	  so this hopefully is no longer a problem. Thanks to
	  Alexander Toppmann <talex AT karyopse.de> and Christian
	  Lambert, who reported that this is a problem on Red Hat
	  and Mandrake systems.
	- Alexander Troppmann also reported that the Cluster Node
	  test suite fails, if different RedHat releases are used on
	  master and slave (7.2 vs. 7.0), because of different
	  implementations of the ls command - *sigh*. I implemented
	  the directory content test with "echo" instead, hopefully
	  at least this behaves identically on all Linux systems... ;)

0.38 easter-egg Sun Mar 31 2002, joern
	No changes since last pre-release, except for a graphical
	dvd::rip startup message, which is totally useless but nice ;)

0.38_03 Fri Mar 29 2002, joern
	Note:
	- the project file format has changed. For existent projects:
	  note the volume rescale value before upgrading and set
	  it by hand afterwards.

	Features:
	- lpcm encoded audio is supported, no passthrough but mp3
	  encoding.
	- changed "Suggest Bitrates" button to "Suggest V-Bitrate".
	  Audio bitrate is untouched so you can enter your favourite
	  audio bitrate and press the button to get the corresponding
	  video bitrate for your target size selection.

	Bugfixes:
	- all presets produce now height clippings with even values. Odd
	  values result in artefacts if "Use YUV Internal" is activated,
	  which is always recommended because it's faster.
	- transcoding without audio didn't work. I did not really fix
	  this bug, because I decided that deactivating audio makes
	  no sense anyway, so the "bugfix" was simply removing the
	  feature ;)
	- cluster mode merging and split progress did not work

0.38_02 Thu Mar 28 2002, joern
	Features:
	- Frame ratios, width and height are now updated immediately
	  when you change values in the Clip & Zoom text fields.
	- I adjusted the "Autoadjust HQ Resize" presets. Big is now
	  the whole frame (with correct aspect ratio), medium 75%
	  and small 50% of the frame. (was: 75%, 62.5%, 50%).
	- auto adjusting and all presets now produce final frame sizes
	  which are divisible by 16, because at least the divx4 codec
	  produces strange color artefacts if this rule is violated
	  (Thanks to Christoph Lampert for his hint about this, which
	  saved me much debugging time)
	- you see exclamation marks behind sizes of the final image,
	  which are not divisble by 16

	Bugfixes:
	- splitpipe.c did not compile on PPC architectures. Thanks to
	  Martin Hill <mhill AT alumni.uwaterloo.ca> for his patch.

0.38_01 Sun Mar 24 2002, joern
	Note:
	- from now on you need at least transcode-0.6.0pre4-20020322
	  for Cluster Mode
	- this is a pre-release because the new auto adjust feature
	  needs some testing. Also you currently must patch transcode's
	  avimerge program for getting proper progress information in
	  Cluster Mode for audio merge (details below).
	
	Features:
	- with transcode version 0.6.0pre4 dvd::rip supports the
	  new fast resize mode which can be used with multiple
	  of 8 frame sizes. All fast resize presets use this
	  if possible for hitting the aspect ratio more exactly.
	- new "Autoadjust Presets" with big, medium and small target
	  frame sizes, with or without fast resize option. Everything
	  is detected automatically: letterbox/black bars, aspect
	  ratio etc. The fast resize presets are only available with
	  transcode 0.6.0pre4.
	- now the *real* aspect ratio is printed under each
	  preview image after image regeneration. That means clipping
	  is ignored. "16:9" and "4:3" are printed if the corresponding
	  ratio occurs. Future releases will display the aspect ratio
	  in realtime when sizes are changed by hand, not only after
	  image regeneration.
	- Cluster Mode:
	  - no video-merge job anymore, using an actual extension
	    of transcode which supports this. Video merging is done
	    with audio multiplexing in one step. This saves time and
	    disk space.
	  - now the merge job has progress information, too
	    (when Thomas applied my avimerge patch.
	     transcode-0.6.0pre4-20020324 does not contatin it
	     so you must apply it by hand: see ./patches directory)
	  - Cluster Control Daemon now checks for prerequisites and
	    throws appropriate error messages if something is missing
	    (pstree or suid root fping)
	  - you now can configure the number of frames per chunk
	    in the Edit Cluster Project dialog. Default is 10000.
	    If the performance of your cluster nodes differs much
	    you can decrease this value to prevent slow nodes from
	    blocking the whole cluster with transcoding a huge chunk
	    while the others are idle. Note: decreasing the chunk size
	    too much makes 2-pass encoding useless, because the
	    material for analysis becomes too short.

	Bugfixes:
	- sometimes dvd::rip reported twice as much audio channels


0.37 Sun Mar 17 2002, joern
	Note:
	- first finish all Cluster Mode projects before updating.
	  Job workflow and file system layout did change.
	- creating target AVI files >2GB does not work in Cluster
	  Mode due to problems with transcode's avimerge program.
	  Maybe this doesn't work on my system only, so if anyone
	  has success building larger files, please drop me a note.

	Features:
	- Cluster Mode:
	  - Now the overall runtime for a project is printed when 
	    it's finished.
	  - executed commands are now logged already at the default
	    log level 2
	  - due to on error aborted jobs doesn't stop the node
	    anymore. If you stop a node the corresponding job doesn't
	    get the 'aborted' state, instead it's set to 'waiting'.
	    This way one aborted job doesn't effect the whole process
	    by blocking the corresponding node.

	Bugfixes:
	- Cluster Mode:
	  - was still broken, if a title consists of more than one
	    PSU. Now the whole internal workflow changed. Audio
	    transcoding is done for the whole movie, not per PSU.
	    There is no merge per PSU anymore. All chunks are merged
	    into one AVI, before adding the audio.
	  - one side effect of this change is, that it's not possible
	    to select which PSUs should be processed. The corresponding
	    selection list disappeared from the Edit Cluster Project
	    dialog. All PSUs are always processed from now, as in
	    standard mode.
	  - scheduler: local jobs of other projects with lower priority
	    were preferred instead of finishing the actual project first.
	  - fps and ETA of transcode video/audio jobs are now more exact,
	    particularly at the beginning of the job.

0.36 Thu Mar 14 2002, joern
	Bugfixes:
	- Cluster Mode:
	  - audio merging didn't work if the movie had more
	    than one PSU, because the target directory wasn't
	    created in that case. Thanks to Sebastian Beneke
	    <sebastian AT beneke-it.de> for his bug report.

0.35 Wed Mar 13 2002, joern
	Features:
	- Cluster mode:
	  - added test procedure which checks if a node is
	    configured correctly: ssh connection, r/w NFS access
	    and transcode version match are checked. Currently
	    this works by comparing the output of a test script
	    executed on the node and the machine where the dvd::rip
	    GUI runs on. You can execute the test procedure
	    from the "Edit Node" window.
	  - the "audio processing" job is now splitted into two
	    jobs: audio transcoding and a/v multiplexing. This
	    enables running the audio transcoding in parallel with
	    other jobs, e.g. video transcoding. Finally the audio
	    and video chunks have to be multiplexed, what is
	    single threaded again, but much faster than the old
	    audio processing job, which blocks the project nearly
	    at the end for a longer time, what was really
	    frustrating ;). Thanks to Rainer Lay for his idea.
	  - minimum chunk count is now (online nodes + 1) instead
	    of 2.
	  - you can start dvdrip with option -c to open the
	    cluster control window without opening a main window

	Bugfixes:
	- audio bitrate was always set to AC3 passthrough bitrate
	  when a project was opened from file
	- Cluster mode:
	  - in rare cases and when there was heavy traffic on the
	    network, the Cluster Control Daemon erroneously
	    determined that a node is offline and aborted the
	    current job. Now the offline state is checked twice,
	    so this shouldn't happen anymore.

0.34 Sun Mar 03 2002, joern
	Note:
	- Cluster mode: you need the pstree command on the cluster
	  control computer from now

	Features:
	- Cluster mode:
	  - now you can reset a single job, if something went wrong
	    with it, so you don't have to start the whole project
	    again. All dependent jobs are reset automatically.
	    Thanks to Sloan Poe for his suggestion.
	  - cluster mode scheduler optimization regarding the
	    delegation of IO intensive jobs preferably to nodes
	    with local resp. fast file system access. In earlier
	    versions a local node could be blocked too early by
	    a non-local job, so local jobs later had to be
	    delegated to non-local nodes. The scheduler now
	    tries delegating local jobs to local nodes first,
	    and then normal jobs to idle nodes, if there are any.
	  - you can optionally let dvd::rip delete the VOBs
	    after finishing, making bigger project queues possible,
	    even with little harddisk space (but is risky, if
	    something goes wrong).
	- AC3 audio passthrough support. If you're upgrading and
	  you have an existent project, you need to rip the title
	  again, because the necessary probing is done directly
	  after ripping. There is no restriction for new projects.
	- Currently it's not possible to use AC3 passthrough in
	  cluster mode, because I hadn't the time to test it.
	- the layout of the Transcode Tab changed slightly, to get
	  space for the AC3 radio buttons.
	- all directories are now created with mode 0775, to
	  prevent file access problems in cluster mode, if
	  the user ids of all nodes doesn't match. Suggested
	  by Sloan Poe.
	- range transcoding: default for the start value is 0.
	  default for end value is number of frames. Until now
	  you had to fill both values to get a range transcoding.
	  Suggested by Douglas Bollinger <dcb AT 321.net>.

	Bugfixes:
	- Cluster mode:
	  - on some systems stopping a node didn't work (dvd::rip
	    hung). Now the child process is killed explicitely and
	    this should work on any system. You need 'pstree' on
	    the cluster control computer from now. Thanks to
	    Sloan Poe, who helped me debugging this problem.
	  - in multipass mode dvd::rip tried moving the AVI file
	    to its final destination after the first pass. This
	    threw an error message, but had no other effect.
	    Anyway it was useless and confusing.
	  - switching off avisplit of a just added project didn't work
	- removed DVD mount point from preferences, because this
	  isn't needed anymore

0.33 Tue Feb 19 2002, joern
	Bugfixes:
	- The node name/hostname feature didn't work. The cluster
	  control daemon always tried to fping the node name instead
	  of the hostname. Thanks to Rainer Lay for the bug report.

0.32 Mon Feb 18 2002, joern
	Features:
	- (one feature so this isn't only a bugfix release ;)
	  You can enable a transcoding preview window. You need
	  the filter_preview transcode plugin, which is build
	  automatically if you have libdv installed on your system.
	  Also your X Server must have XV support.
	  Really nice feature. Useless, but fancy ;)
	  Warning: closing the preview window will kill the
	  transcode process.

	Bugfixes:
	- Some cluster jobs were aborted due to timeout accidentally.
	  Because there occur some really strange problems with
	  the output of avimerge, I disabled the timeout completely.
	  This shouldn't matter, because it was added to prevent
	  hanging ssh sessions which prompt for a password. This
	  case is catched anyway not using a timeout, so everything
	  should work better this way. Thanks for the reports to
	  Andrew Yantis and Rainer Lay.
	- project progress didn't count aborted jobs. They are now
	  added to the waiting value. Thanks to Rainer again for
	  this one.
	- nice -n made problems with tcsh. Using /usr/bin/nice
	  instead. Guess who reported this one? Yes. Thanks Rainer ;)
	- no progress was shown on avisplit due to a bug in the
	  avisplit output parsing regex.

0.31 Sun Feb 17 2002, joern
	Features:
	- You can provide additional transcode options on the
	  Transcode Tab. These options are added to the
	  internal transcode call, resp. they override corresponding
	  options already computed by dvd::rip. This is for experts
	  who want to use special transcode features not currently
	  officially supported by dvd::rip (or to fix dvd::rip bugs
	  which are not fixed yet ;).
	- adjusting the nice level of the transcode process per
	  project (also used in cluster mode) on the Transcode Tab.
	  Suggested by Hrvoje Husic.
	- Cluster Mode:
	  - error handling for remotely executed commands. The last
	    lines received from the command are logged, so you can
	    see what's going wrong. Also the corresponding node will
	    be aborted. You have to start it again, otherwise no jobs
	    will be scheduled to it. This prevents infinite job
	    execution on a false configured node.
	  - internal node name and hostname of the node are now
	    distinguished (useful to address multi processor machines
	    as multiple nodes). Suggested by Rainer Lay.
	  - additional transcode options per node (samy funcionality as
	    described for non cluster mode above). One good example
	    for this is increasing transcode threads if you have a multi-
	    processor node (e.g. -u 4,2). Suggested by Peter Lohmann.

	Bugfixes:
	- cluster daemon hung if ssh prompted for a password.
	- made TOC list wider so content should fit better
	
0.31_05 Tue Feb 13 2002, joern
	Bugfixes:
	- All regarding the cluster mode and reported by
	  Rainer Lay <Rainer.Lay AT informatik.uni-erlangen.de>
          - command execution via the hardwired 'ssh -CP' command
	    made problems, at least with OpenSSH. You now can
	    configure the ssh command per Node in the Edit Node
	    window. Default is 'ssh -C' which should work on most
	    systems.
	  - many commands had a construct "test dir || mkdir -p dir",
	    where the "test" command is a nop, because "mkdir -p"
	    doesn't fail, if the directory exists. Removed the "test"
	    command.

0.31_04 Tue Feb 12 2002, joern
	Features:
	- Added a job list to the cluster mode, accompanied by
	  rewriting some internals. This was necessary to get rid
	  of the PSU problem without messing up the internal
	  cluster workflow. The advantage is, now you can exactly
	  see what steps have to be done.

	Bugfixes:
	- cluster mode now supports titles encoded in more than
	  one program stream unit. Thanks to Thomas Östreich for
	  his help.
	- Net::Ping was loaded in cluster mode, but is not
	  required anymore.
	- Hrvoje Husic told me, that 760 MB seems to be the maximum
	  to burn on an 800 MB medium, so I corrected the
	  corresponding disc popup entry.
	- Layout of the Transcode Tab was somewhat messed up, at
	  least with the default Gtk theme. I shrinked the buttons
	  so now everything should fit. Thanks to Torsten Howard 
	  <torsten AT inetw.net> for reporting this "buglet"
	  (his word ;)

0.31_03 Sat Feb 09 2002, joern
	Note:
	- Cluster mode is currently useless for titles with more
	  than one program stream unit (that means: many DVDs
	  are affected). I'm working on this issue, resp. am
	  in contact with Thomas Östreich to check, whether
	  transcode or dvd::rip should fix this.
	- WARNING: first finish all your cluster projects before
	  upgrading to this version, because cluster file names
	  changed.

	Features:
	- Cluster Mode
	  - multipass encoding now supported
	  - show ETA for transcoding and audio processing states
	  - optional avisplit and cleanup after transcoding. you
	    can edit these project properties in the Cluster Control
	    window
	  - cluster control daemon can be shut down from the GUI
	- multipass encoding: omit audio on first pass,
	  thanks to Norbert Preining for his hint.
	- better NTSC Support, suggested by Norbert Preining
	  - set frame rate by default to 23.976, but user can
	    overwrite it
	  - set transcode options: -g 720x480 -M 2
	- disc popup now has an entry for 800 MB discs,
	  thanks to Hrvoje Husic <husic AT zyn.de> for his hint.

	Bugfixes:
	- Cluster Mode
	  - adding a node with an existent name crashed the
	    cluster control daemon
	  - dvd::rip GUI now handles cluster daemon exits cleanly
	  - View AVI works now for cluster transcoded titles
	  - adding chapter mode titles to the cluster is
	    prevented now
	  - project removal threw an exception, sometimes
	  - no volume rescaling was done
	  - daemon crashed if a log client sent something
	- Storable module was required, even when no cluster
	  stuff was activated. Thanks to Timothy Harris
	  <tim AT pongle.net> and Torsten Howard <torsten
	  AT inetw.net> for their bug reports.

0.31_02 Mon Feb 04 2002, joern
	Bugfixes:
	- sometimes dvd::rip stopped transcoding too short.
	  This release should fix this problem. Thanks to
	  Doug Shea for his bug report and
	  <ulmo AT garozzo.franken.de> for the hint, which
	  led me to the solution (omitting the transcode
	  -c 0-n parameter).

0.31_01 Sun Feb 03 2002, joern
	Features:
	- all generated files and directories now have names
	  with correct alphanumerical order. Thanks to Doug Shea
	  <doug_shea AT alumni.ucsd.edu> for his patch.

	  WARNING: First finish all projects before upgrading
		   to this version, because dvd::rip 0.31_01
		   will badly fail finding files generated with
		   previous versions!!!

	- this is the first public pre-release with cluster
	  transcoding support. Please refer to the dvd::rip
	  homepage for documentation about this.
	- omit '-J skip="0-2"' in chapter mode if transcode
	  version >= 0.6 is detected. Thanks for the hint go
	  to Norbert Preining and Ron Smits <rons AT ronsmits.com>.


	Bugfixes:
	- opened project was not closed, if you opened it via
	  command line option and opened a new project via
	  menu

0.30 Sat Jan 19 2002, joern
	Features:
	- Christian Lambert sent me an enhanced version of my
	  fast resize calculator kspread file.

	Bugfixes:
	- creating a new project failed with an exception,
	  thanks to Christian Lambert for his bug report.
	- splitpipe did not work correctly if you use transcode
	  0.5.x, thanks to Marc Wäckerlin <mrw AT atheismus.ch>
	  for his bug report.
	- opening the "Show transcode commands" window without
	  an opened project threw an exception.

0.30_01 Sat Jan 12 2002, joern
	Quick pre-release, because I like this feature so much ;)

	Features:
	- added fast frame grabbing using the vob navigation
	  information created by 'tcdemux -W' for transcode
	  >= 0.6.0pre. Frame grabbing now needs a constant
	  amount of time (2-3 seconds on my A1000 workstation),
	  regardless of the frame number, you entered.
	  transcode 0.5.x is still supported, using the -c
	  option, which is slow because it decodes all precedent
	  frames. Thanks to Thomas Östreich, who helped me
	  demystifying the navigation logfile ;)

0.29 Thu Jan 10 2002, joern
	Features:
	- transcode version is detected on startup, so different
	  behaviour for different transcode versions is possible.
	- preparing for cluster mode: dvd::rip already creates
	  the neccessary vob navigation logging data.

	Bugfixes:
	- ripping progress bar enabled for transcode >= 0.6.0
	  (you *must* use at least transcode-0.6.0pre2-20020107.
	  Older 0.6.0 pre-releases will cause dvd::rip to fail
	  badly or just freezing it). dvd::rip uses the new -W
	  switch of tcdemux to get the progress in the ripping 
	  stage. This gives even enough information to calculate
	  fps. Coooool... ;)
	- You can use dvd::rip with transcode 0.5.x (x>=3),
	  but the ripping progress bar will be disabled.

0.29_01 Sun Jan 07 2002, joern
	Bugfixes:
	- DVD TOC reading completely reorganized. Should work now
	  more reliable with all DVDs. Due to this there is currently
	  no progress bar for ripping available.
	- DVD TOC missed scrollbars
	- transcode progress bar did not work with transcode 0.6pre

0.28 Fri Jan 04 2002, joern
	Features:
	- I added a contrib directory to the distribution, currently
	  containing a KSpread file which helps calculating fast resize
	  values. I'm planning to integrate a native and quite more usable
	  version of this sheet into dvd::rip, but maybe this helps someone
	  while this feature is not finished. On the other hand the
	  presets are working well for most DVDs, so this is currently
	  a nice to have feature for me.

	Bugfixes:
	- avisplit progress bar missed percentage and ETA.
	- fast resize option did not always complain about illegal
	  values, thanks to Christian Lambert <clambert AT csd.sgi.com>
	  for the bug report.

0.28_03 Thu Jan 03 2002, joern
	Features:
	- Full viewing angle support, requested by Certron DiSoni
	  <certron_80 AT yahoo.com>. You can select the viewing
	  channel after reading the TOC. Only the selected angle
	  will be ripped from the DVD. This way I was able to rip
	  german Star Wars Episode I, with the german intro.

	Bugfixes:
	- transcode progress bar missed percentage and ETA.

0.28_02 Thu Jan 03 2002, joern
	Again a pre-release due to major changes in the progress module
	and chapter mode code. Please test it. Thanks.

	Features:
	- enhanced chapter mode suggested by Tim Currie <jtcurrie AT
	  mediaone.net>: dvd::rip now shows a multi selection list
	  of avaiable chapters per title. Now you can decide which
	  chapters should be ripped and transcoded. Currently no progress
	  bar is shown in the chapter selection mode, only the elapsed
	  time will be printed. Also avisplit is currently not available
	  in chapter mode. I'm not shure, if transcode reports the correct
	  number of chapters. Often the higher chapters are empty or
	  at least *very* short.
	- major code cleanup in the progress bar module. Among other things
	  a Gtk input handler is used instead of a Gtk idle function.
	  This way the GUI responses much better. Also all calculations
	  (elapsed time, ETA, fps) are done by dvd::rip now and available
	  for all tasks.

	Bugfixes:
	- fixed chapter mode transcoding progress bar / logging problem
	- dvd::rip failed if the project path was not absolute. Thanks to
	  George Farris <george AT gmsys.com> for the report.

0.28_01 Fri Dec 28 2001, joern
	This is a pre release for testing the new Chapter Mode feature.
	Please use this version only, if you're interested in this feature
	or if you want to test it in general. Also non-Chapter-Mode ripping
	may be affected or buggy.

	Features:
	- Chapter Mode, suggested by Norbert Preining.
	  You have to enable this on the RIP Title Tab before ripping,
	  because each chapter will be ripped into a separate directory.
	  Transcoding in chapter mode will lead to one AVI file for
	  each chapter. The progress bar guesses sometimes wrong, but the
	  result should be Ok. Splitting in Chapter Mode is not supported
	  and makes no sense in general.
	- removed the tcprobe-random-title-permutation workaround,
	  because this tcprobe bug is fixed in transcode 0.5.3

	Bugfixes:
	- dvd::rip didn't work with transcode 0.5.3 due to changes
	  of tcprobe output. Thanks to Thomas Speck <thomas-speck
	  AT gmx.de> for his bug report. This release has a workaround
	  fixing this problem. Another solution is to patch transcode
	  0.5.3 with a patch published by Thomas Östreich on his
	  transcode homepage.

0.27 Tue Dec 18 2001, joern
	Bugfix:
	- this release fixes only a minor bug in the debugging window
	  and log file output. The snapshot command missed the
	  frame number, so the -c option was malformed.

0.26 Sun Dec 16 2001, joern
	Bugfix:
	- tar.gz distribution was incomplete. Updated MANIFEST.

0.25 Sat Dec 15 2001, joern
	Features:
	- create logfile of all processes, display it in a separate
	  logging tab
	- renamed "Snapshot Directory" to "Temp Directory", because
	  it's used not only for the snapshot images. DivX4 analyze logs
	  and the dvd::rip log are also stored here.

	Bugfixes:
	- "transcode & split" did not work
	- spaces in project name not allowed, thanks to
	  Matthias Rieber <matthias AT lsoe.uni-karlsruhe.de>
	  for the bug report. dvd::rip did not work correctly
	  with spaces in the project name. Checking of other
	  user supplied values is still on my TODO list.

0.24 Thu Dec 13 2001, joern
	Just a major release, no changes since pre-release.

0.24_02  Tue Dec 11 2001, joern
	Features:
	- You can open a debugging window, which shows all transcode
	  commands executed by dvd::rip by pressing Ctrl+T or selecting the
	  "Debug/Show Transcode Commands..." menu item. Thanks to
	  Norbert Preining for his suggestion. This should help finding
	  bugs in dvd::rip, where wrong transcode options are genereated,
	  or something similar.
	- modified 16:9 anamorph fast resizing Preset: added 2nd Clipping
	  to get rid of 4 black top and bottom lines
	- Added a transcode title number field to the rip tab. This way
	  you can workaround the transcode/libdvdread bug which results
	  to wrong assigned titles. Please use this with care and only
	  if you know, what you do. This fields changes only the title
	  number passed to all transcode commands. The dvd::rip filenames
	  will be named with the orignally (maybe wrong) scanned title nr.
	  Thanks to Bjoern Buerger <b.buerger AT tu-bs.de> for his
	  suggestion.

	Bugfixes:
	- Preset "16:9 Anam. Enc., No Letterbox, Fast Resize" did not
	  switch fast resizing on
	- Fast Resizing: 32 pixel boundary must be given only for
	  axes which are resized. Thanks to Norbert Preining for
	  his patch.
	- dvd::rip now checks, whether VOB files are already ripped,
	  even if the project file says, they're not (e.g. if you
	  forget to save after ripping, restart dvd::rip and create
	  a new project for this DVD). Thanks to Norbert Preining
	  for the hint.
	- dvd::rip now checks if the needed programs (transcode,
	  ImageMagick etc.) are installed and complains if not.
	  Thanks to Michal Szymanski <msz AT astrouw.edu.pl> for his
	  bugreport.

0.23  Sun Dec 09 2001, joern
	Bugfixes:
	- fast resizing: 32 pixel boundary check ommited checking the
	  clip1 size
	- transcode progress label did always show the "split afterwards"
	  message, even if started without splitting.

0.22  Sun Dec 09 2001, joern
	Features:
	- Support of the fast resizing algorithm of transcode
	  (transcode-0.5.2-20011206 is recommended because of
	  a bug in the horizontal fast resize code in earlier
	  versions). Fast resizing presumes 32 pixel boundaries.
	  If you break with this rule, you'll get an error window
	  on transcoding. I'm planning a wizard which helps
	  calculating the correct values, because this can be a
	  brain squeezing task ;)
	- Added two new Presets for anamorph transcoding using the
	  fast resizing algorithm. They should bypass the time,
	  until the fast resizing wizard is finished.
	- Support of multipass DivX encoding.
	- Added a button to the Transcode tab for viewing the
	  transcoded non-splitted AVI file.
	- transcode progress label shows, whether started with or
	  without splitting

	Bugfixes:
	- applied Perl 5.005 patch supplied by Norbert
	  Preining <preining AT logic.at>. Thanks.
	- DVD read-toc code always tried a mount, even if the
	  DVD was already mounted. This could confuse systems
	  using automounter.

0.21  Sat Dec 01 2001, joern
	Features:
	- transcode 0.5.1 supports 4GB AVI files, so max.
	  filesize for the bitrate suggestion is now 4000 MB
	  (was 2000 MB with transcode 0.5.0)

	Bugfixes:
	- fixed color problem with snapshot images

0.20  Tue Nov 27 2001, joern
	- First public release. Should be usable but is not tested
	  with thousands of DVDs.

